/* QVM86 virtualisation module for qemu

   Copyright (C) 2005 CodeSourcery, LLC.
   Written by Paul Brook.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   Linux host specific header file.
 */

#ifndef QVM86_LINUX_H
#define QVM86_LINUX_H

#include <linux/linkage.h>
#include <linux/types.h>
#include <linux/ioctl.h>
#include <linux/mm.h>
#include <asm/uaccess.h>

#ifdef CONFIG_X86_PAE
#define qvm86_host_pae 1
#define host_physaddr_t uint64_t
#else
#define qvm86_host_pae 0
#define host_physaddr_t uint32_t
#endif

#endif /* QVM86_LINUX_H */
